"""
Simple message encoding / decoding to test the search method
"""

from xaal.lib import MessageFactory,MessageType
from xaal.lib import config,core,helpers
from xaal.schemas import devices

helpers.setup_console_logger()

mf = MessageFactory(config.key)
source = devices.hmi()
target = devices.lamp_color()

data = mf.build_msg(source,[target.address,],MessageType.REQUEST,'turn_off',{'smooth':20})
msg  = mf.decode_msg(data)

print(f"Message: {msg}")
core.run_method(msg,target)

method,params = core.search_method(msg,target)
print(f"Method found: {method} params {params} ")